Package twisted :: Package python :: Module observable :: Class Observable

[show private | hide private]
[frames | no frames]

## Class Observable

Known Subclasses:
  `Hash`

Method Summary
| `__init__(self)`
| ``addObserver`(self, observer)` Observable.addObserver(observer) Add a method which will be called when this observer's notify() is executed.
| ``notify`(self, *rgs)` Observable.notify(*rgs) call all observers of this observable with (self,)+rgs
| ``removeObserver`(self, observer)` Observable.removeObserver(observer) Remove a previously-added method would have been called when this observer's notify() was executed
| `tell(self, observer, args)`

Method Details

### addObserver(self, observer)

Observable.addObserver(observer) Add a method which will be called when this observer's notify() is executed.

### notify(self, *rgs)

Observable.notify(*rgs) call all observers of this observable with (self,)+rgs

### removeObserver(self, observer)

Observable.removeObserver(observer) Remove a previously-added method would have been called when this observer's notify() was executed

Generated by Epydoc 1.1 on Sat Feb 15 21:18:05 2003 | http://epydoc.sf.net